diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 7d05938feda..97b94755d5d 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -46,7 +46,7 @@
   and must link with the <application>libpq</application> library.
  </para>
 
- <sect1 id="libpq-connect">
+ <sect1 id="libpq-connect" xreflabel="Database Connection Control Functions">
   <title>Database Connection Control Functions</title>
 
   <para>
@@ -933,7 +933,7 @@ PQsslKeyPassHook_OpenSSL_type PQgetSSLKeyPassHook_OpenSSL(void);
    </variablelist>
   </para>
 
-  <sect2 id="libpq-connstring">
+  <sect2 id="libpq-connstring" xreflabel="Connection Strings">
    <title>Connection Strings</title>
 
    <indexterm zone="libpq-connstring">
@@ -954,7 +954,7 @@ PQsslKeyPassHook_OpenSSL_type PQgetSSLKeyPassHook_OpenSSL(void);
     as further described below.
    </para>
 
-   <sect3 id="libpq-connstring-keyword-value">
+   <sect3 id="libpq-connstring-keyword-value" xreflabel="Keyword/Value Connection Strings">
     <title>Keyword/Value Connection Strings</title>
 
    <para>
@@ -982,7 +982,7 @@ host=localhost port=5432 dbname=mydb connect_timeout=10
    </para>
    </sect3>
 
-   <sect3 id="libpq-connstring-uris">
+   <sect3 id="libpq-connstring-uris" xreflabel="Connection URIs">
     <title>Connection URIs</title>
 
    <para>
@@ -1079,7 +1079,7 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
    </para>
    </sect3>
 
-   <sect3 id="libpq-multiple-hosts">
+   <sect3 id="libpq-multiple-hosts" xreflabel="Specifying Multiple Hosts">
      <title>Specifying Multiple Hosts</title>
 
      <para>
@@ -1122,7 +1122,7 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
    </sect3>
   </sect2>
 
-  <sect2 id="libpq-paramkeywords">
+  <sect2 id="libpq-paramkeywords" xreflabel="Parameter Key Words">
    <title>Parameter Key Words</title>
 
    <para>
@@ -2573,7 +2573,7 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
   </sect2>
  </sect1>
 
- <sect1 id="libpq-status">
+ <sect1 id="libpq-status" xreflabel="Connection Status Functions">
   <title>Connection Status Functions</title>
 
   <para>
@@ -3342,7 +3342,7 @@ void *PQgetssl(const PGconn *conn);
 
  </sect1>
 
- <sect1 id="libpq-exec">
+ <sect1 id="libpq-exec" xreflabel="Command Execution Functions">
   <title>Command Execution Functions</title>
 
   <para>
@@ -3351,7 +3351,7 @@ void *PQgetssl(const PGconn *conn);
    SQL queries and commands.
   </para>
 
-  <sect2 id="libpq-exec-main">
+  <sect2 id="libpq-exec-main" xreflabel="Main Functions">
    <title>Main Functions</title>
 
    <para>
@@ -4383,7 +4383,7 @@ void PQclear(PGresult *res);
    </para>
   </sect2>
 
-  <sect2 id="libpq-exec-select-info">
+  <sect2 id="libpq-exec-select-info" xreflabel="Retrieving Query Result Information">
    <title>Retrieving Query Result Information</title>
 
    <para>
@@ -4829,7 +4829,7 @@ typedef struct
    </variablelist>
   </sect2>
 
-  <sect2 id="libpq-exec-nonselect">
+  <sect2 id="libpq-exec-nonselect" xreflabel="Retrieving Other Result Information">
    <title>Retrieving Other Result Information</title>
 
    <para>
@@ -4931,7 +4931,7 @@ char *PQoidStatus(const PGresult *res);
 
   </sect2>
 
-  <sect2 id="libpq-exec-escape-string">
+  <sect2 id="libpq-exec-escape-string" xreflabel="Escaping Strings for Inclusion in SQL Commands">
    <title>Escaping Strings for Inclusion in SQL Commands</title>
 
    <indexterm zone="libpq-exec-escape-string">
@@ -5257,7 +5257,7 @@ unsigned char *PQunescapeBytea(const unsigned char *from, size_t *to_length);
 
  </sect1>
 
- <sect1 id="libpq-async">
+ <sect1 id="libpq-async" xreflabel="Asynchronous Command Processing">
   <title>Asynchronous Command Processing</title>
 
   <indexterm zone="libpq-async">
@@ -5796,7 +5796,7 @@ int PQflush(PGconn *conn);
 
  </sect1>
 
- <sect1 id="libpq-pipeline-mode">
+ <sect1 id="libpq-pipeline-mode" xreflabel="Pipeline Mode">
   <title>Pipeline Mode</title>
 
   <indexterm zone="libpq-pipeline-mode">
@@ -5844,7 +5844,7 @@ int PQflush(PGconn *conn);
    <xref linkend="protocol-flow-pipelining"/>.
   </para>
 
-  <sect2 id="libpq-pipeline-using">
+  <sect2 id="libpq-pipeline-using" xreflabel="Using Pipeline Mode">
    <title>Using Pipeline Mode</title>
 
    <para>
@@ -5893,7 +5893,7 @@ int PQflush(PGconn *conn);
     </para>
    </note>
 
-   <sect3 id="libpq-pipeline-sending">
+   <sect3 id="libpq-pipeline-sending" xreflabel="Issuing Queries">
     <title>Issuing Queries</title>
 
     <para>
@@ -5941,7 +5941,7 @@ int PQflush(PGconn *conn);
     </para>
    </sect3>
 
-   <sect3 id="libpq-pipeline-results">
+   <sect3 id="libpq-pipeline-results" xreflabel="Processing Results">
     <title>Processing Results</title>
 
     <para>
@@ -5997,7 +5997,7 @@ int PQflush(PGconn *conn);
 
    </sect3>
 
-   <sect3 id="libpq-pipeline-errors">
+   <sect3 id="libpq-pipeline-errors" xreflabel="Error Handling">
     <title>Error Handling</title>
 
     <para>
@@ -6047,7 +6047,7 @@ int PQflush(PGconn *conn);
     </note>
    </sect3>
 
-   <sect3 id="libpq-pipeline-interleave">
+   <sect3 id="libpq-pipeline-interleave" xreflabel="Interleaving Result Processing and Query Dispatch">
     <title>Interleaving Result Processing and Query Dispatch</title>
 
     <para>
@@ -6080,7 +6080,7 @@ int PQflush(PGconn *conn);
    </sect3>
   </sect2>
 
-  <sect2 id="libpq-pipeline-functions">
+  <sect2 id="libpq-pipeline-functions" xreflabel="Functions Associated with Pipeline Mode">
    <title>Functions Associated with Pipeline Mode</title>
 
    <variablelist>
@@ -6269,7 +6269,7 @@ int PQsendFlushRequest(PGconn *conn);
    </variablelist>
   </sect2>
 
-  <sect2 id="libpq-pipeline-tips">
+  <sect2 id="libpq-pipeline-tips" xreflabel="When to Use Pipeline Mode">
    <title>When to Use Pipeline Mode</title>
 
    <para>
@@ -6327,7 +6327,7 @@ UPDATE mytable SET x = x + 1 WHERE id = 42;
  </sect1>
 
  <!-- keep this not-too-apropos sect1 ID for stability of doc URLs -->
- <sect1 id="libpq-single-row-mode">
+ <sect1 id="libpq-single-row-mode" xreflabel="Retrieving Query Results in Chunks">
   <title>Retrieving Query Results in Chunks</title>
 
   <indexterm zone="libpq-single-row-mode">
@@ -6464,7 +6464,7 @@ int PQsetChunkedRowsMode(PGconn *conn, int chunkSize);
 
  </sect1>
 
- <sect1 id="libpq-cancel">
+ <sect1 id="libpq-cancel" xreflabel="Canceling Queries in Progress">
   <title>Canceling Queries in Progress</title>
 
   <indexterm zone="libpq-cancel">
@@ -6474,7 +6474,7 @@ int PQsetChunkedRowsMode(PGconn *conn, int chunkSize);
    <primary>query cancellation</primary>
   </indexterm>
 
-  <sect2 id="libpq-cancel-functions">
+  <sect2 id="libpq-cancel-functions" xreflabel="Functions for Sending Cancel Requests">
    <title>Functions for Sending Cancel Requests</title>
    <variablelist>
     <varlistentry id="libpq-PQcancelCreate">
@@ -6879,7 +6879,7 @@ void PQcancelReset(PGcancelConn *cancelConn);
    </variablelist>
   </sect2>
 
-  <sect2 id="libpq-cancel-deprecated">
+  <sect2 id="libpq-cancel-deprecated" xreflabel="Obsolete Functions for Sending Cancel Requests">
    <title>Obsolete Functions for Sending Cancel Requests</title>
 
    <para>
@@ -7017,7 +7017,7 @@ int PQrequestCancel(PGconn *conn);
   </sect2>
  </sect1>
 
- <sect1 id="libpq-fastpath">
+ <sect1 id="libpq-fastpath" xreflabel="The Fast-Path Interface">
   <title>The Fast-Path Interface</title>
 
   <indexterm zone="libpq-fastpath">
@@ -7127,7 +7127,7 @@ typedef struct
 
  </sect1>
 
- <sect1 id="libpq-notify">
+ <sect1 id="libpq-notify" xreflabel="Asynchronous Notification">
   <title>Asynchronous Notification</title>
 
   <indexterm zone="libpq-notify">
@@ -7219,7 +7219,7 @@ typedef struct pgNotify
 
  </sect1>
 
- <sect1 id="libpq-copy">
+ <sect1 id="libpq-copy" xreflabel="Functions Associated with the COPY Command">
   <title>Functions Associated with the <command>COPY</command> Command</title>
 
   <indexterm zone="libpq-copy">
@@ -7322,7 +7322,7 @@ typedef struct pgNotify
    </variablelist>
   </para>
 
-  <sect2 id="libpq-copy-send">
+  <sect2 id="libpq-copy-send" xreflabel="Functions for Sending COPY Data">
    <title>Functions for Sending <command>COPY</command> Data</title>
 
    <para>
@@ -7415,7 +7415,7 @@ int PQputCopyEnd(PGconn *conn,
 
   </sect2>
 
-  <sect2 id="libpq-copy-receive">
+  <sect2 id="libpq-copy-receive" xreflabel="Functions for Receiving COPY Data">
    <title>Functions for Receiving <command>COPY</command> Data</title>
 
    <para>
@@ -7486,7 +7486,7 @@ int PQgetCopyData(PGconn *conn,
 
   </sect2>
 
-  <sect2 id="libpq-copy-deprecated">
+  <sect2 id="libpq-copy-deprecated" xreflabel="Obsolete Functions for COPY">
    <title>Obsolete Functions for <command>COPY</command></title>
 
    <para>
@@ -7695,7 +7695,7 @@ int PQendcopy(PGconn *conn);
 
  </sect1>
 
- <sect1 id="libpq-control">
+ <sect1 id="libpq-control" xreflabel="Control Functions">
   <title>Control Functions</title>
 
   <para>
@@ -7911,7 +7911,7 @@ void PQuntrace(PGconn *conn);
 
  </sect1>
 
- <sect1 id="libpq-misc">
+ <sect1 id="libpq-misc" xreflabel="Miscellaneous Functions">
   <title>Miscellaneous Functions</title>
 
   <para>
@@ -8348,7 +8348,7 @@ pg_usec_time_t PQgetCurrentTimeUSec(void);
 
  </sect1>
 
- <sect1 id="libpq-notice-processing">
+ <sect1 id="libpq-notice-processing" xreflabel="Notice Processing">
   <title>Notice Processing</title>
 
   <indexterm zone="libpq-notice-processing">
@@ -8458,7 +8458,7 @@ defaultNoticeProcessor(void *arg, const char *message)
 
  </sect1>
 
- <sect1 id="libpq-events">
+ <sect1 id="libpq-events" xreflabel="Event System">
   <title>Event System</title>
 
   <para>
@@ -8494,7 +8494,7 @@ defaultNoticeProcessor(void *arg, const char *message)
    to free them &mdash; that is the responsibility of the event handler.
   </para>
 
-  <sect2 id="libpq-events-types">
+  <sect2 id="libpq-events-types" xreflabel="Event Types">
    <title>Event Types</title>
 
    <para>
@@ -8695,7 +8695,7 @@ typedef struct
    </variablelist>
   </sect2>
 
-  <sect2 id="libpq-events-proc">
+  <sect2 id="libpq-events-proc" xreflabel="Event Callback Procedure">
    <title>Event Callback Procedure</title>
 
    <variablelist>
@@ -8745,7 +8745,7 @@ int eventproc(PGEventId evtId, void *evtInfo, void *passThrough)
    </variablelist>
   </sect2>
 
-  <sect2 id="libpq-events-funcs">
+  <sect2 id="libpq-events-funcs" xreflabel="Event Support Functions">
    <title>Event Support Functions</title>
 
     <variablelist>
@@ -8858,7 +8858,7 @@ void *PQresultInstanceData(const PGresult *res, PGEventProc proc);
    </variablelist>
   </sect2>
 
-  <sect2 id="libpq-events-example">
+  <sect2 id="libpq-events-example" xreflabel="Event Example">
    <title>Event Example</title>
 
    <para>
@@ -9015,7 +9015,7 @@ myEventProc(PGEventId evtId, void *evtInfo, void *passThrough)
   </sect2>
  </sect1>
 
- <sect1 id="libpq-envars">
+ <sect1 id="libpq-envars" xreflabel="Environment Variables">
   <title>Environment Variables</title>
 
   <indexterm zone="libpq-envars">
@@ -9490,7 +9490,7 @@ myEventProc(PGEventId evtId, void *evtInfo, void *passThrough)
  </sect1>
 
 
- <sect1 id="libpq-pgpass">
+ <sect1 id="libpq-pgpass" xreflabel="The Password File">
   <title>The Password File</title>
 
   <indexterm zone="libpq-pgpass">
@@ -9553,7 +9553,7 @@ myEventProc(PGEventId evtId, void *evtInfo, void *passThrough)
  </sect1>
 
 
- <sect1 id="libpq-pgservice">
+ <sect1 id="libpq-pgservice" xreflabel="The Connection Service File">
   <title>The Connection Service File</title>
 
   <indexterm zone="libpq-pgservice">
@@ -9628,7 +9628,7 @@ user=admin
  </sect1>
 
 
- <sect1 id="libpq-ldap">
+ <sect1 id="libpq-ldap" xreflabel="LDAP Lookup of Connection Parameters">
   <title>LDAP Lookup of Connection Parameters</title>
 
   <indexterm zone="libpq-ldap">
@@ -9710,7 +9710,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
  </sect1>
 
 
- <sect1 id="libpq-ssl">
+ <sect1 id="libpq-ssl" xreflabel="SSL Support">
   <title>SSL Support</title>
 
   <indexterm zone="libpq-ssl">
@@ -9736,7 +9736,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
    file.
   </para>
 
- <sect2 id="libq-ssl-certificates">
+ <sect2 id="libq-ssl-certificates" xreflabel="Client Verification of Server Certificates">
   <title>Client Verification of Server Certificates</title>
 
   <para>
@@ -9843,7 +9843,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
   </note>
  </sect2>
 
- <sect2 id="libpq-ssl-clientcert">
+ <sect2 id="libpq-ssl-clientcert" xreflabel="Client Certificates">
   <title>Client Certificates</title>
 
   <para>
@@ -9912,7 +9912,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
   </para>
  </sect2>
 
- <sect2 id="libpq-ssl-protection">
+ <sect2 id="libpq-ssl-protection" xreflabel="Protection Provided in Different Modes">
   <title>Protection Provided in Different Modes</title>
 
   <para>
@@ -10085,7 +10085,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
 
  </sect2>
 
- <sect2 id="libpq-ssl-fileusage">
+ <sect2 id="libpq-ssl-fileusage" xreflabel="SSL Client File Usage">
   <title>SSL Client File Usage</title>
 
   <para>
@@ -10137,7 +10137,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
   </table>
  </sect2>
 
- <sect2 id="libpq-ssl-initialize">
+ <sect2 id="libpq-ssl-initialize" xreflabel="SSL Library Initialization">
   <title>SSL Library Initialization</title>
 
   <para>
@@ -10212,7 +10212,7 @@ void PQinitSSL(int do_ssl);
 
  </sect1>
 
- <sect1 id="libpq-oauth">
+ <sect1 id="libpq-oauth" xreflabel="OAuth Support">
   <title>OAuth Support</title>
 
   <para>
@@ -10267,7 +10267,7 @@ Visit https://example.com/device and enter the code: ABCD-EFGH
    </para>
   </note>
 
-  <sect2 id="libpq-oauth-authdata-hooks">
+  <sect2 id="libpq-oauth-authdata-hooks" xreflabel="Authdata Hooks">
    <title>Authdata Hooks</title>
 
    <para>
@@ -10337,7 +10337,7 @@ PQauthDataHook_type PQgetAuthDataHook(void);
     </variablelist>
    </para>
 
-   <sect3 id="libpq-oauth-authdata-hooks-types">
+   <sect3 id="libpq-oauth-authdata-hooks-types" xreflabel="Hook Types">
     <title>Hook Types</title>
     <para>
      The following <symbol>PGauthData</symbol> types and their corresponding
@@ -10509,7 +10509,7 @@ typedef struct PGoauthBearerRequest
    </sect3>
   </sect2>
 
-  <sect2 id="libpq-oauth-debugging">
+  <sect2 id="libpq-oauth-debugging" xreflabel="Debugging and Developer Settings">
    <title>Debugging and Developer Settings</title>
 
    <para>
@@ -10554,7 +10554,7 @@ typedef struct PGoauthBearerRequest
  </sect1>
 
 
- <sect1 id="libpq-threading">
+ <sect1 id="libpq-threading" xreflabel="Behavior in Threaded Programs">
   <title>Behavior in Threaded Programs</title>
 
   <indexterm zone="libpq-threading">
@@ -10640,7 +10640,7 @@ int PQisthreadsafe();
  </sect1>
 
 
- <sect1 id="libpq-build">
+ <sect1 id="libpq-build" xreflabel="Building libpq Programs">
   <title>Building <application>libpq</application> Programs</title>
 
   <indexterm zone="libpq-build">
@@ -10783,7 +10783,7 @@ testlibpq.o(.text+0xa4): undefined reference to `PQerrorMessage'
  </sect1>
 
 
- <sect1 id="libpq-example">
+ <sect1 id="libpq-example" xreflabel="Example Programs">
   <title>Example Programs</title>
 
   <para>
diff --git a/doc/src/sgml/lo.sgml b/doc/src/sgml/lo.sgml
index 6d9bcebd42b..8fe2e8bd200 100644
--- a/doc/src/sgml/lo.sgml
+++ b/doc/src/sgml/lo.sgml
@@ -19,7 +19,7 @@
   on the current database.
  </para>
 
- <sect2 id="lo-rationale">
+ <sect2 id="lo-rationale" xreflabel="Rationale">
   <title>Rationale</title>
 
   <para>
@@ -66,7 +66,7 @@
   </para>
  </sect2>
 
- <sect2 id="lo-how-to-use">
+ <sect2 id="lo-how-to-use" xreflabel="How to Use It">
   <title>How to Use It</title>
 
   <para>
@@ -92,7 +92,7 @@ CREATE TRIGGER t_raster BEFORE UPDATE OR DELETE ON image
   </para>
  </sect2>
 
- <sect2 id="lo-limitations">
+ <sect2 id="lo-limitations" xreflabel="Limitations">
   <title>Limitations</title>
 
   <itemizedlist>
@@ -125,7 +125,7 @@ CREATE TRIGGER t_raster BEFORE UPDATE OR DELETE ON image
   </itemizedlist>
  </sect2>
 
- <sect2 id="lo-author">
+ <sect2 id="lo-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/lobj.sgml b/doc/src/sgml/lobj.sgml
index 79731c6553f..a5813c2cf0b 100644
--- a/doc/src/sgml/lobj.sgml
+++ b/doc/src/sgml/lobj.sgml
@@ -25,7 +25,7 @@
     values.  This is not described here.
    </para>
 
-  <sect1 id="lo-intro">
+  <sect1 id="lo-intro" xreflabel="Introduction">
    <title>Introduction</title>
 
    <indexterm>
@@ -58,7 +58,7 @@
 
   </sect1>
 
-  <sect1 id="lo-implementation">
+  <sect1 id="lo-implementation" xreflabel="Implementation Features">
    <title>Implementation Features</title>
 
    <para>
@@ -96,7 +96,7 @@
    </para>
   </sect1>
 
-  <sect1 id="lo-interfaces">
+  <sect1 id="lo-interfaces" xreflabel="Client Interfaces">
    <title>Client Interfaces</title>
 
    <para>
@@ -136,7 +136,7 @@
     Client applications cannot use these functions while a libpq connection is in pipeline mode.
    </para>
 
-   <sect2 id="lo-create">
+   <sect2 id="lo-create" xreflabel="Creating a Large Object">
     <title>Creating a Large Object</title>
 
     <para>
@@ -197,7 +197,7 @@ inv_oid = lo_creat(conn, INV_READ|INV_WRITE);
     </para>
    </sect2>
 
-   <sect2 id="lo-import">
+   <sect2 id="lo-import" xreflabel="Importing a Large Object">
     <title>Importing a Large Object</title>
 
     <para>
@@ -239,7 +239,7 @@ Oid lo_import_with_oid(PGconn *conn, const char *filename, Oid lobjId);
     </para>
    </sect2>
 
-   <sect2 id="lo-export">
+   <sect2 id="lo-export" xreflabel="Exporting a Large Object">
     <title>Exporting a Large Object</title>
 
     <para>
@@ -257,7 +257,7 @@ int lo_export(PGconn *conn, Oid lobjId, const char *filename);
     </para>
    </sect2>
 
-   <sect2 id="lo-open">
+   <sect2 id="lo-open" xreflabel="Opening an Existing Large Object">
     <title>Opening an Existing Large Object</title>
 
     <para>
@@ -320,7 +320,7 @@ inv_fd = lo_open(conn, inv_oid, INV_READ|INV_WRITE);
     </para>
 </sect2>
 
-<sect2 id="lo-write">
+<sect2 id="lo-write" xreflabel="Writing Data to a Large Object">
 <title>Writing Data to a Large Object</title>
 
 <para>
@@ -346,7 +346,7 @@ int lo_write(PGconn *conn, int fd, const char *buf, size_t len);
 </para>
 </sect2>
 
-<sect2 id="lo-read">
+<sect2 id="lo-read" xreflabel="Reading Data from a Large Object">
 <title>Reading Data from a Large Object</title>
 
 <para>
@@ -373,7 +373,7 @@ int lo_read(PGconn *conn, int fd, char *buf, size_t len);
 </para>
 </sect2>
 
-<sect2 id="lo-seek">
+<sect2 id="lo-seek" xreflabel="Seeking in a Large Object">
 <title>Seeking in a Large Object</title>
 
 <para>
@@ -416,7 +416,7 @@ int64_t lo_lseek64(PGconn *conn, int fd, int64_t offset, int whence);
 
 </sect2>
 
-<sect2 id="lo-tell">
+<sect2 id="lo-tell" xreflabel="Obtaining the Seek Position of a Large Object">
 <title>Obtaining the Seek Position of a Large Object</title>
 
 <para>
@@ -450,7 +450,7 @@ int64_t lo_tell64(PGconn *conn, int fd);
 </para>
 </sect2>
 
-<sect2 id="lo-truncate">
+<sect2 id="lo-truncate" xreflabel="Truncating a Large Object">
 <title>Truncating a Large Object</title>
 
 <para>
@@ -505,7 +505,7 @@ int lo_truncate64(PGconn *conn, int fd, int64_t len);
 </para>
 </sect2>
 
-<sect2 id="lo-close">
+<sect2 id="lo-close" xreflabel="Closing a Large Object Descriptor">
 <title>Closing a Large Object Descriptor</title>
 
 <para>
@@ -526,7 +526,7 @@ int lo_close(PGconn *conn, int fd);
 </para>
 </sect2>
 
-   <sect2 id="lo-unlink">
+   <sect2 id="lo-unlink" xreflabel="Removing a Large Object">
     <title>Removing a Large Object</title>
 
     <para>
@@ -542,7 +542,7 @@ int lo_unlink(PGconn *conn, Oid lobjId);
 
 </sect1>
 
-<sect1 id="lo-funcs">
+<sect1 id="lo-funcs" xreflabel="Server-Side Functions">
 <title>Server-Side Functions</title>
 
   <para>
@@ -705,7 +705,7 @@ SELECT lo_export(image.raster, '/tmp/motd') FROM image
 
 </sect1>
 
-<sect1 id="lo-examplesect">
+<sect1 id="lo-examplesect" xreflabel="Example Program">
 <title>Example Program</title>
 
 <para>
